.ce_icon_text {
    .text {
        h2,
        p {
            line-height: 1;
        }
    }
}

@media (max-width: 640px) {
    .ce_icon_text {
        .icon {
            min-width: 25px;
        }

        .text {
            p,
            h2 {
                hyphens: auto;
            }
        }
    }
}

.sl-job-detail-container * {
    hyphens: auto;
}

.sl-job-detail-container h1 {
    margin-bottom: 0;
}

.sl-job-detail-container .job-info-block {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    margin: 30px 0;
}

.sl-job-detail-container .job-info-block > div {
    background: #deedf9;
    border: 2px solid #deedf9;
    border-radius: 30px;
    padding: 15px;
    color: #008bd2;
    font-weight: 700;
    min-width: 200px;
    text-align: center;

    &.address:hover {
        background-color: #ffffff;
    }

    a {
        color: #008bd2;
    }
}

.sl-job-detail-container .main-col h2 {
    margin-top: 40px;
    background: #008bd2;
    color: #fff;
    position: relative;
    text-align: start;
    padding: 5px 20% 5px 0;
    width: fit-content;
}

.sl-job-detail-container .main-col h2::before {
    content: "";
    position: absolute;
    background: #008bd2;
    height: 100%;
    width: 100vw;
    left: -100vw;
    top: 0;
}

.sl-job-detail-container .aside-col {
    min-height: 100%;
}

.sl-job-detail-container .aside-col .benefits {
    height: 100%;
}

.sl-job-detail-container ul {
    list-style: square;
    padding-left: 1.5rem;
    position: relative;
    left: -0.3rem;
}

.sl-job-detail-container ul li {
    margin-bottom: 5px;

    &::marker {
        color: #008bd2;
        font-size: 25px;
    }
}

.sl-job-detail-container ul li .job-section-item {
    line-height: 1.5;
    display: block;
    padding-left: 0.5rem;
}

@media (max-width: 640px) {
    .sl-job-detail-container ul {
        left: -0.3rem;
    }
}

.sl-job-detail-container .benefits {
    display: block;
    background: #deedf9;
    padding: 30px 15px;
}

.sl-job-detail-container .benefits h1 {
    margin-bottom: 14px;
    text-align: center;
}

.sl-job-detail-container .benefits-empty {
    text-align: center;
    color: #334155;
    margin: 1rem 0;
    width: 100%;
}

.sl-job-detail-container .benefit-card {
    padding: 30px 30px 5px 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 10px;
    min-height: 120px;
}

.sl-job-detail-container .benefit-card .icon {
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;
}

.sl-job-detail-container .benefit-card .icon img,
.sl-job-detail-container .benefit-card .icon svg {
    max-width: 70px;
    max-height: 70px;
}

.sl-job-detail-container .benefit-card .text {
    line-height: 1.2;
}

.sl-job-detail-container .job-application-block {
    position: relative;
    width: 100vw;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    background: #deedf9;
    border: 1px solid #deedf9;
    margin-top: 30px;
}

.sl-job-detail-container
.job-application-block
.job-application-items
.apply-btn {
    justify-content: center;
    display: flex;
    align-items: center;
}

.sl-job-detail-container
.job-application-block
.job-application-items
.apply-btn
.btn {
    font-size: 30px;
    width: 100%;
    max-width: calc(100% - 30px);
    border-radius: 50px;
    padding: 15px;
    margin-bottom: 0;
}

.sl-job-detail-container iframe {
    width: 100%;
    aspect-ratio: 16 / 9;
    height: auto;
}

.sl-job-detail-container .btn {
    display: inline-block;
    padding: 14px 22px;
    font-weight: 700;
    text-decoration: none;
    text-align: center;
    border-radius: 30px;
    border: 0;
    cursor: pointer;
}

.sl-job-detail-container .btn-primary {
    background: #e53935;
    color: #fff;
    border: 2px solid #e53935;

    &:hover{
        opacity: 1;
        color: #e53935;
        background-color: #fff;
    }
}

.sl-job-detail-container .btn-secondary {
    background: transparent;
    color: #008bd2;
    border: 2px solid #008bd2;
}

.sl-job-detail-container .btn-secondary:hover {
    background: #008bd2;
    color: #fff;
}

.sl-job-detail-container .contact-block .container{
    padding-left: 0;
    padding-right: 0;
}

.sl-job-detail-container .contact-block .avatar {
}

.sl-job-detail-container .contact-block .avatar img {
    width: 150px;
    height: auto;
}

.sl-job-detail-container .contact-block .info h2 {
    color: #0f172a;
}

.sl-job-detail-container .contact-block .info p {
    margin: 0;
    color: #334155;
    line-height: 1.5rem;
}

.sl-job-detail-container .contact-block .actions {
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
}

.sl-job-detail-container .contact-block .btn {
    padding: 5px;
    background: #008bd2;
    color: #fff;
    width: 100px;
    height: 100px;
    border-radius: 10px;
    text-transform: uppercase;

    &:hover {
        color: #008bd2;
        background-color: #fff;
        border: 2px solid #008bd2;
    }
}
